import { ICommonProps, SizeUnit } from "../core-types";
import * as React from "react";
import * as PropTypes from "prop-types";
interface IAnchorProps extends ICommonProps {
    size: SizeUnit;
    order?: number;
    resizable?: boolean;
    handleSize?: number;
    overlayHandle?: boolean;
    minimumSize?: number;
    maximumSize?: number;
    onResizeStart?: () => void | boolean;
    onResizeEnd?: (newSize: SizeUnit) => void;
}
export declare const anchoredProps: {
    size: PropTypes.Validator<string | number>;
    order: PropTypes.Requireable<number>;
    resizable: PropTypes.Requireable<boolean>;
    handleSize: PropTypes.Requireable<number>;
    overlayHandle: PropTypes.Requireable<boolean>;
    minimumSize: PropTypes.Requireable<number>;
    maximumSize: PropTypes.Requireable<number>;
    onResizeStart: PropTypes.Requireable<(...args: any[]) => any>;
    onResizeEnd: PropTypes.Requireable<(...args: any[]) => any>;
    id: PropTypes.Requireable<string>;
    className: PropTypes.Requireable<string>;
    style: PropTypes.Requireable<object>;
    as: PropTypes.Requireable<string>;
    centerContent: PropTypes.Requireable<import("../core-types").CenterType>;
    zIndex: PropTypes.Requireable<number>;
    scrollable: PropTypes.Requireable<boolean>;
    trackSize: PropTypes.Requireable<boolean>;
    onClick: PropTypes.Requireable<(...args: any[]) => any>;
    onMouseDown: PropTypes.Requireable<(...args: any[]) => any>;
    onMouseEnter: PropTypes.Requireable<(...args: any[]) => any>;
    onMouseLeave: PropTypes.Requireable<(...args: any[]) => any>;
    onMouseMove: PropTypes.Requireable<(...args: any[]) => any>;
    onTouchStart: PropTypes.Requireable<(...args: any[]) => any>;
    onTouchMove: PropTypes.Requireable<(...args: any[]) => any>;
    onTouchEnd: PropTypes.Requireable<(...args: any[]) => any>;
};
export declare const resizableProps: {
    size: PropTypes.Validator<string | number>;
    order: PropTypes.Requireable<number>;
    handleSize: PropTypes.Requireable<number>;
    overlayHandle: PropTypes.Requireable<boolean>;
    minimumSize: PropTypes.Requireable<number>;
    maximumSize: PropTypes.Requireable<number>;
    onResizeStart: PropTypes.Requireable<(...args: any[]) => any>;
    onResizeEnd: PropTypes.Requireable<(...args: any[]) => any>;
    id: PropTypes.Requireable<string>;
    className: PropTypes.Requireable<string>;
    style: PropTypes.Requireable<object>;
    as: PropTypes.Requireable<string>;
    centerContent: PropTypes.Requireable<import("../core-types").CenterType>;
    zIndex: PropTypes.Requireable<number>;
    scrollable: PropTypes.Requireable<boolean>;
    trackSize: PropTypes.Requireable<boolean>;
    onClick: PropTypes.Requireable<(...args: any[]) => any>;
    onMouseDown: PropTypes.Requireable<(...args: any[]) => any>;
    onMouseEnter: PropTypes.Requireable<(...args: any[]) => any>;
    onMouseLeave: PropTypes.Requireable<(...args: any[]) => any>;
    onMouseMove: PropTypes.Requireable<(...args: any[]) => any>;
    onTouchStart: PropTypes.Requireable<(...args: any[]) => any>;
    onTouchMove: PropTypes.Requireable<(...args: any[]) => any>;
    onTouchEnd: PropTypes.Requireable<(...args: any[]) => any>;
};
export declare const LeftResizable: React.FC<Omit<IAnchorProps, "resizable">>;
export declare const Left: React.FC<IAnchorProps>;
export declare const TopResizable: React.FC<Omit<IAnchorProps, "resizable">>;
export declare const Top: React.FC<IAnchorProps>;
export declare const RightResizable: React.FC<Omit<IAnchorProps, "resizable">>;
export declare const Right: React.FC<IAnchorProps>;
export declare const BottomResizable: React.FC<Omit<IAnchorProps, "resizable">>;
export declare const Bottom: React.FC<IAnchorProps>;
export {};
