import { SyntheticEvent } from "react";
import { ISpaceDefinition, ISize, ResizeType, ISpaceStore } from "./core-types";
export declare enum MoveEvent {
    Mouse = "mousemove",
    Touch = "touchmove"
}
export declare enum EndEvent {
    Mouse = "mouseup",
    Touch = "touchend"
}
export interface IResizeChange {
    x: number;
    y: number;
}
export declare function createResize(store: ISpaceStore): {
    startResize<T extends SyntheticEvent<HTMLElement, Event> | MouseEvent | TouchEvent>(resizeType: ResizeType, e: T, space: ISpaceDefinition, targetSize: ISize, endEvent: EndEvent, moveEvent: MoveEvent, getCoords: (event: T) => {
        x: number;
        y: number;
    }): void;
};
